'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _props2 = require('../common/props');

var _WrapperForNative = require('../WrapperForNative');

var _WrapperForNative2 = _interopRequireDefault(_WrapperForNative);

var _WrapperForSimulate = require('../WrapperForSimulate');

var _WrapperForSimulate2 = _interopRequireDefault(_WrapperForSimulate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * Created by TonyJiang on 16/5/30.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var Scroller = function (_React$Component) {
    _inherits(Scroller, _React$Component);

    function Scroller() {
        var _ref;

        var _temp, _this, _ret;

        _classCallCheck(this, Scroller);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Scroller.__proto__ || Object.getPrototypeOf(Scroller)).call.apply(_ref, [this].concat(args))), _this), _this.state = {}, _temp), _possibleConstructorReturn(_this, _ret);
    }

    _createClass(Scroller, [{
        key: 'componentWillMount',
        value: function componentWillMount() {

            if (mutants.env.os == mutants.env.constant.os.ios) {
                this.state.wrapper = _WrapperForSimulate2.default;
            } else {
                this.state.wrapper = _WrapperForNative2.default;
            }
        }

        //提供对外滚动方法

    }, {
        key: 'scrollTo',
        value: function scrollTo(deltaY) {
            var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

            this.refs.scroller.scrollTo(deltaY, duration);
        }
    }, {
        key: 'render',
        value: function render() {
            var _props = this.props,
                children = _props.children,
                props = _objectWithoutProperties(_props, ['children']);

            return _react2.default.createElement(
                this.state.wrapper,
                _extends({
                    ref: 'scroller'
                }, props),
                children
            );
        }
    }]);

    return Scroller;
}(_react2.default.Component);

Scroller.propTypes = _props2.propTypes;
Scroller.defaultProps = _props2.defaultProps;
;

exports.default = Scroller;