"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var LoadingIcon = function (_React$Component) {
    _inherits(LoadingIcon, _React$Component);

    function LoadingIcon() {
        _classCallCheck(this, LoadingIcon);

        return _possibleConstructorReturn(this, (LoadingIcon.__proto__ || Object.getPrototypeOf(LoadingIcon)).apply(this, arguments));
    }

    _createClass(LoadingIcon, [{
        key: "render",
        value: function render() {
            var style = this.props.style;
            // console.log('LoadingIcon: ',style);


            return _react2.default.createElement(
                "svg",
                { width: style.width, height: style.height, style: style, viewBox: "0 0 36 32" },
                _react2.default.createElement(
                    "g",
                    { transform: "scale(0.03125, 0.03125)" },
                    _react2.default.createElement("path", {
                        d: "M1024 512c0-249.6-198.4-448-448-448C480 64 390.4 96 313.6 147.2 281.6 172.8 281.6 217.6 307.2 243.2l0 0c25.6 25.6 57.6 25.6 83.2 6.4C441.6 211.2 505.6 192 576 192c179.2 0 320 140.8 320 320l-128 0 192 192 192-192L1024 512zM128 512c0 249.6 198.4 448 448 448 96 0 185.6-32 262.4-83.2 32-25.6 32-70.4 6.4-96l0 0c-25.6-25.6-57.6-25.6-83.2-6.4C710.4 812.8 646.4 832 576 832c-179.2 0-320-140.8-320-320l128 0L192 320l-192 192L128 512z",
                        fill: "#737383" })
                )
            );
        }
    }]);

    return LoadingIcon;
}(_react2.default.Component);

LoadingIcon.propTypes = {
    style: _react2.default.PropTypes.object
};
exports.default = LoadingIcon;