'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.px2rem = px2rem;
exports.rem2px = rem2px;
exports.px2px = px2px;
/**
 * Created by guopeng on 16/4/8.
 */

var rem = window.rem || 75;
var dpr = window.dpr || 1;

function px2rem(d, isNum) {
    var val = parseFloat(d) / 75;
    if (isNum) {
        return val;
    } else {
        val += 'rem';
    }
    return val;
}

function rem2px(d, isNum) {
    var val = parseFloat(d) * rem;
    if (isNum) {
        return val;
    } else {
        val += 'px';
    }

    return val;
}

/**
 * 按照1rem=75的值转化成当前设备下的px
 * @param d
 * @param isNum
 * @returns {number}
 */
function px2px(d, isNum) {
    //var val = (parseFloat(d)/2) * dpr * rem/75;
    var val = parseFloat(d) / 75 * rem;
    if (isNum) {
        return val;
    } else {
        val += 'px';
    }
    return val;
}