import React from "react";

export default class ArrowIcon extends React.Component {

    static propTypes={
        style: React.PropTypes.object
    };

    render() {
        const {style} = this.props;

        return (
            <svg width={style.width} height={style.height} style={style} viewBox="0 0 32 32">
                <g transform="scale(0.03125, 0.03125)">
                    <path
                        fill="#737383"
                        d="M276.446 502.863l223.53 211.271 223.514-211.271 127.807 120.737-351.321 332.007-351.371-332.007zM422.4 751.358v-614.397h153.601v614.397h-153.601z"
                        ></path>
                </g>
            </svg>
        );
    }

}